/*---------------------------------------------------------------------------*/
//       Author : hiyohiyo
//         Mail : hiyohiyo@crystalmark.info
//          Web : http://crystalmark.info/
//      License : The modified BSD license
//
//                                Copyright 2007 hiyohiyo, All rights reserved.
/*---------------------------------------------------------------------------*/

#include "stdafx.h"
#include "CrystalCpuid.h"
#include "AboutDlg.h"

#define URL_CRYSTAL_DEW_WORLD_JA		_T("http://crystalmark.info/")
#define URL_CRYSTAL_DEW_WORLD_EN 		_T("http://crystalmark.info/?lang=en")

#define URL_OPEN_LIB_SYS_ORG_JA			_T("http://openlibsys.org/index-ja.html")
#define URL_OPEN_LIB_SYS_ORG_EN			_T("http://openlibsys.org/")

IMPLEMENT_DYNCREATE(CAboutDlg, CDHtmlDialog)

CAboutDlg::CAboutDlg(CWnd* pParent /*=NULL*/)
	: CDHtmlDialogEx(CAboutDlg::IDD, NULL, pParent)
{

}

CAboutDlg::~CAboutDlg()
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDHtmlDialogEx::DoDataExchange(pDX);
}

BOOL CAboutDlg::OnInitDialog()
{
	CDHtmlDialogEx::OnInitDialog();

	InitDHtmlDialog(SIZE_X, SIZE_Y, 
		((CCrystalCpuidApp*)AfxGetApp())->m_AboutDlgPath);

	return TRUE;
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDHtmlDialogEx)
END_MESSAGE_MAP()

BEGIN_DHTML_EVENT_MAP(CAboutDlg)
	DHTML_EVENT_ONCLICK(_T("CrystalDewWorld"), OnCrystalDewWorld)
	DHTML_EVENT_ONCLICK(_T("OpenLibSysOrg"), OnOpenLibSysOrg)
END_DHTML_EVENT_MAP()

HRESULT CAboutDlg::OnCrystalDewWorld(IHTMLElement* /*pElement*/)
{
	if(GetUserDefaultLCID() == 0x0411){// Japanese
		ShellExecute(NULL, NULL, URL_CRYSTAL_DEW_WORLD_JA, NULL, NULL, SW_SHOWNORMAL);
	}else{// Other Language
		ShellExecute(NULL, NULL, URL_CRYSTAL_DEW_WORLD_EN, NULL, NULL, SW_SHOWNORMAL);
	}
	return S_FALSE;
}

HRESULT CAboutDlg::OnOpenLibSysOrg(IHTMLElement* /*pElement*/)
{
	if(GetUserDefaultLCID() == 0x0411){// Japanese
		ShellExecute(NULL, NULL, URL_OPEN_LIB_SYS_ORG_JA, NULL, NULL, SW_SHOWNORMAL);
	}else{// Other Language
		ShellExecute(NULL, NULL, URL_OPEN_LIB_SYS_ORG_EN, NULL, NULL, SW_SHOWNORMAL);
	}
	return S_FALSE;
}