//-----------------------------------------------------------------------------
//     Author : hiyohiyo
//       Mail : hiyohiyo@crystalmark.info
//        Web : http://openlibsys.org/
//    License : The modified BSD license
//
//                     Copyright 2007-2008 OpenLibSys.org. All rights reserved.
//-----------------------------------------------------------------------------

#include "stdafx.h"
#include <TCHAR.H>
#include "OlsApiEx.h"

static DWORD getOlsString(DWORD id, PCHAR str, DWORD sizeInBytes);

// Ƃ肠O[oԂɒuƂ
CDmiInfo* g_Dmi = NULL;

/* Ƃ肠AGetOlsString ̕Ԃliāj
Return Code
 0 : Success
>0 : KvȕzTCY(A: Bytes, W: Words [w/ NULL])
-1 : Not found ID
*/

DWORD WINAPI GetOlsStringA(DWORD id, PCHAR str, DWORD sizeInBytes)
{
	return getOlsString(id, str, sizeInBytes);
}

// b
DWORD WINAPI GetOlsStringW(DWORD id, PWCHAR str, DWORD sizeInWords)
{
	CHAR s[256];
	DWORD rCode;
	rCode = getOlsString(id, s, 256);

	// Not Found ID
	if(rCode == (DWORD)-1)
	{
		wcscpy_s(str, sizeInWords, L"");
		return (DWORD)-1;
	}

	DWORD length = (DWORD)strlen(s);
	if(sizeInWords >= length + 1) // + 1 : NULL
	{
		// ANSI -> Unicode
		DWORD req = MultiByteToWideChar(CP_ACP, MB_PRECOMPOSED, s, length, NULL, 0);
		if(req > sizeInWords)
		{
			wcscpy_s(str, sizeInWords, L"");
			return req;
		}
		int size = MultiByteToWideChar(CP_ACP, MB_PRECOMPOSED, s, length, str, sizeInWords);
		str[size] = '\0';
	}
	else
	{
		wcscpy_s(str, sizeInWords, L"");
		return length + 1;
	}
	return 0;
}

DWORD WINAPI GetOlsValue(DWORD id, PDWORD value)
{
	return 0;
}

DWORD WINAPI SetOlsValue(DWORD id, DWORD value)
{
	return 0;
}

// Ƃ肠
static DWORD getOlsString(DWORD id, PCHAR str, DWORD sizeInBytes)
{
	if(g_Dmi == NULL)
	{
		g_Dmi = new CDmiInfo();
	}

	switch(id)
	{
	case 1:
		_tcscpy_s(str, sizeInBytes, _T("GetOlsString Test"));
		break;
	default:
		return g_Dmi->GetString(id, str, sizeInBytes);
		break;
	}
	return (DWORD)-1;
}