//-----------------------------------------------------------------------------
//     Author : hiyohiyo
//       Mail : hiyohiyo@crystalmark.info
//        Web : http://openlibsys.org/
//    License : The modified BSD license
//
//                     Copyright 2007-2008 OpenLibSys.org. All rights reserved.
//-----------------------------------------------------------------------------

#pragma once

#include "DmiInfo.h"

//-----------------------------------------------------------------------------
// InstallOpenLibSys
//-----------------------------------------------------------------------------
BOOL // TRUE: success, FALSE: failure
WINAPI InstallOpenLibSys();

//-----------------------------------------------------------------------------
// UninstallOpenLibSys
//-----------------------------------------------------------------------------
BOOL // TRUE: success, FALSE: failure
WINAPI UninstallOpenLibSys();

//-----------------------------------------------------------------------------
// GetDriverStatus
//-----------------------------------------------------------------------------
DWORD // Device Driver Status, defined OLS_DRIVER_STATUS_****
WINAPI GetDriverStatus();

#ifdef _UNICODE
#define GetOlsString GetOlsStringW
#define GetOlsStringEx GetOlsStringExW
#else
#define GetOlsString GetOlsStringA
#define GetOlsStringEx GetOlsStringExA
#endif

DWORD WINAPI GetOlsStringA(DWORD id, PCHAR str, DWORD sizeInBytes);
DWORD WINAPI GetOlsStringW(DWORD id, PWCHAR str, DWORD sizeInWords);
DWORD WINAPI GetOlsValue(DWORD id, PDWORD value);
DWORD WINAPI SetOlsValue(DWORD id, DWORD value);
